Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

[URGENT] Apple rejects apps using IDFA, issue with analytics.* (Flurry)
Started by Jack227 Feb 04 2014 11:01 AM

31 replies to this topic
idfa flurry reject apple analytics
[TOPIC CONTROLS]
Page 1 of 2 1 2
This topic has been archived. This means that you cannot reply to this topic.
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

Jack227

[GLOBAL: userInfoPane.html]
Jack227
  • Enthusiast

  • 81 posts
  • Corona SDK

Hi guys,

 

Following discussion on IRC channel, I post here:

 

http://techcrunch.com/2014/02/03/apples-latest-crackdown-apps-pulling-the-advertising-identifier-but-not-showing-ads-are-being-rejected-from-app-store/

 

The problem is, Flurry version 4.2.4 uses IDFA and people already report their apps were rejected because of this.

People also say that Flurry version 4.3.1 has this problem fixed.

 

Docs on analytics are outdated, saying version 4.1 (iOS) is used. From what I can see in the Flurry console, Corona plugin "CoronaProvider.analytics.flurry" actually uses version 4.2.3

I don't know if this version uses IDFA too, but it well may be as it is close to troublesome 4.2.4

 

 

Corona staff, could you advise?



[TOPIC: post.html]
#2

DavidRangel

[GLOBAL: userInfoPane.html]
DavidRangel
  • Moderator

  • 888 posts
  • Corona Staff

Jack227 - we are looking into this and will have more info soon...



[TOPIC: post.html]
#3

Flurry Analytics

[GLOBAL: userInfoPane.html]
Flurry Analytics
  • Observer

  • 2 posts
  • Corona SDK

Flurry has recently learned that Apple has rejected some apps it believes are using the Identifier for Advertising (IDFA) without including ad functionality.  Flurry does not collect the IDFA unless an app includes the AdSupport.framework for ad functionality. We are seeking clarification with Apple and we will update our affected customers as we learn more over the next several days.  If you believe your app has been rejected for similar reasons, please email support@flurry.com with details.

 

- The Flurry Team



[TOPIC: post.html]
#4

Jack227

[GLOBAL: userInfoPane.html]
Jack227
  • Enthusiast

  • 81 posts
  • Corona SDK

Update:

New version of one of our apps was approved for iTunes today, with Flurry plugin being there. Either we got lucky, or version 4.2.3 might not have this IDFA usage, or who knows what :)



[TOPIC: post.html]
#5

Jack227

[GLOBAL: userInfoPane.html]
Jack227
  • Enthusiast

  • 81 posts
  • Corona SDK

Update:

Flurry has fixed this problem only in recent 4.3.2, so version 4.3.1 is not good too.

Any ETA on a fix for analytics plugin?



[TOPIC: post.html]
#6

paolo.longato

[GLOBAL: userInfoPane.html]
paolo.longato
  • Contributor

  • 114 posts
  • Corona SDK

I have several projects that might be affected.  Any news?



[TOPIC: post.html]
#7

Flurry Analytics

[GLOBAL: userInfoPane.html]
Flurry Analytics
  • Observer

  • 2 posts
  • Corona SDK

We understand that some developers recently experienced a rejection from the App Store for use of the IDFA without the AdSupport.Framework. Flurry’s SDK does not collect the IDFA unless an app includes the AdSupport.Framework, but we believe a reference to the term “IDFA” in our SDK code may have triggered the rejection by Apple. We have updated our SDK code to resolve the issue.

 

Please download the updated SDK, now available in the Flurry portal, for use with any future submissions to the App Store.


This issue has been a high priority for Flurry over the last several days. We appreciate your patience as we worked to resolve it.



[TOPIC: post.html]
#8

domskie13

[GLOBAL: userInfoPane.html]
domskie13
  • Enthusiast

  • 74 posts
  • Corona SDK

is flurry plug-in for corona fixed?



[TOPIC: post.html]
#9

dchan

[GLOBAL: userInfoPane.html]
dchan
  • Contributor

  • 360 posts
  • Corona Staff

If you do a build with 2169 or later, it will now include the latest Flurry SDK.  The reason we chose 2169 is because that is the build of Corona which takes out the references to ASIdentifierManager.  Be advised that we just replaced the SDK and rebuilt the plugin and have not tested it yet.



[TOPIC: post.html]
#10

domskie13

[GLOBAL: userInfoPane.html]
domskie13
  • Enthusiast

  • 74 posts
  • Corona SDK

where to get this build 2169 cause im using build 2100 right now.



[TOPIC: post.html]
#11

dchan

[GLOBAL: userInfoPane.html]
dchan
  • Contributor

  • 360 posts
  • Corona Staff

You need access to daily builds which means you have to be Pro/Enterprise to get it.



[TOPIC: post.html]
#12

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,569 posts
  • Corona Staff

@domskie13, Daily builds are only available to Pro and Enterprise subscribers.  The forums say you are  a starter (which isn't always accurate) and if that's the case, you will have to wait until we release a new public build, and I do not have an ETA on that yet.

 

Rob



[TOPIC: post.html]
#13

domskie13

[GLOBAL: userInfoPane.html]
domskie13
  • Enthusiast

  • 74 posts
  • Corona SDK

oh..sorry..im using other account in corona



[TOPIC: post.html]
#14

ojnab

[GLOBAL: userInfoPane.html]
ojnab
  • Contributor

  • 532 posts
  • Corona SDK

If you do a build with 2169 or later, it will now include the latest Flurry SDK.  The reason we chose 2169 is because that is the build of Corona which takes out the references to ASIdentifierManager.  Be advised that we just replaced the SDK and rebuilt the plugin and have not tested it yet.

 

If I understand this correctly the corona core ( in daily builds below 2169 ) has references to ASIdentifierManager.

Does this mean that any app we submit to apple with builds below 2169 might get rejected if it doesn't serve adds?



[TOPIC: post.html]
#15

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,569 posts
  • Corona Staff

According to the Tech Crunch article, Apple is going to reject apps that use the ASidentiferManager library that doesn't show ads.  We had it in our core as an API call that let you get the identifier even though you likely don't use it.  I don't know that we've heard any reports about Corona Apps being rejected because of this, but as a precaution, we've moved anything using this library and identifier to a plugin as of 2169.

 

Rob



[TOPIC: post.html]
#16

ojnab

[GLOBAL: userInfoPane.html]
ojnab
  • Contributor

  • 532 posts
  • Corona SDK

Does that mean we have to require a plugin to call:

system.getInfo ( "advertisingIdentifier" ) and system.getInfo ( "identifierForVendor" )

from now on?

 

I really hope they do not reject all apps thats built with DB below 2169, because then I am in deep trouble...

I have to submit an app ( I have started working on for a client over a year ago ) thats built with GE 1.0 and it is far to complex to port to GE 2.0.



[TOPIC: post.html]
#17

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,569 posts
  • Corona Staff

I don't think you need to require a plugin.  There are some features that we include based on just the API call but I'll ask Engineering.

 

Rob



[TOPIC: post.html]
#18

vazana

[GLOBAL: userInfoPane.html]
vazana
  • Observer

  • 1 posts
  • Corona SDK

Good news

 

After experiencing this problem this past couple of weeks, Apple just accepted our app with the latest Flurry build.



[TOPIC: post.html]
#19

ChunkyApps

[GLOBAL: userInfoPane.html]
ChunkyApps
  • Contributor

  • 224 posts
  • Corona SDK

Can we get this Flurry update in the pre-graphics 2.0 build as well? I am also pretty far past the point of being able to upgrade my game to Graphics 2.0 as I am using Spriteloq for sprites and it won't work with the latest builds.



[TOPIC: post.html]
#20

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,569 posts
  • Corona Staff

Have you tried downloading the legacy sprite  library from our github repository and just dropping it in the folder with your main.lua and setting graphicsCompatibility = 1 in your config.lua?  That should get you very close to Graphics 1 behavior with a Graphics 2.0. 

 

The other work around is to include at least 1 ad in the app.

 

Rob



[TOPIC: post.html]
#21

ChunkyApps

[GLOBAL: userInfoPane.html]
ChunkyApps
  • Contributor

  • 224 posts
  • Corona SDK

Thanks Rob, yes I did try downloading the legacy sprite library but for some reason it didn't work with the Spriteloq API. It was a while back, so I can't quite recall what the issue was.



[TOPIC: post.html]
#22

domskie13

[GLOBAL: userInfoPane.html]
domskie13
  • Enthusiast

  • 74 posts
  • Corona SDK

is flurry fix in IOS simulator?? im using latest build 2014.2182 in pro account..

still got this error.. i just attached file.



[TOPIC: post.html]
#23

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,569 posts
  • Corona Staff

Hi @domskie13.  This thread is about Apple rejecting apps that have a certain identifier in use.  No one is discussing an error.  If you're getting an error, please post the text of the error from your terminal window, etc. 

 

Also your attachment didn't come through.

 

Rob



[TOPIC: post.html]
#24

domskie13

[GLOBAL: userInfoPane.html]
domskie13
  • Enthusiast

  • 74 posts
  • Corona SDK

opps sorry..i already attached the file now..and it shows its about to be flurry..

Attached Files



[TOPIC: post.html]
#25

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,569 posts
  • Corona Staff

Flurry was moved to a plugin.  What does your build.settings look like?

 

Rob




[topic_controls]
Page 1 of 2 1 2
 
[/topic_controls]